Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452819 - can't install debuginfo packages
Summary: can't install debuginfo packages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 10:08 UTC by Timon
Modified: 2014-01-21 06:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-11 14:38:46 UTC


Attachments (Terms of Use)

Description Timon 2008-06-25 10:08:42 UTC
sudo debuginfo-install gnome-packagekit.i386
Loaded plugins: fastestmirror, presto, refresh-packagekit
Setting up and reading Presto delta metadata
No Presto metadata available for updates-testing
No Presto metadata available for livna
No Presto metadata available for disk
No Presto metadata available for fedora
No Presto metadata available for google-testing
No Presto metadata available for livna-testing
No Presto metadata available for adobe-linux-i386
No Presto metadata available for tigro
Loading mirror speeds from cached hostfile
..................
................
Transaction Summary
=============================================================================
Install     16 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 36 M
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 124, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 42, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 82, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 348, in doTransaction
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 351, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-8:
ordinal not in range(128)


with workaround  
sudo debuginfo-install -y gnome-packagekit.i386
everything is fine

Comment 1 Jan Hutař 2008-09-08 13:50:23 UTC
NOTE: Traceback here looks very similar to bug 452283.

Comment 2 seth vidal 2008-12-10 19:33:16 UTC
Is this still happening in yum 3.2.20-5.fc9?

Comment 3 Timon 2008-12-11 05:21:19 UTC
no. with yum 3.2.20-5.fc9 every is fine :) so, you may close bug :)


Note You need to log in before you can comment on or make changes to this bug.